Attribute VB_Name = "Module3"
Option Explicit

 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'   ICS Visual Basic Constants                                    12-26-07
'   File:  ICSVB.BAS
'   This module contains the variable declarations, constants and routines
'   that are commonly used by most Visual Basic applications.
'
'   This file should be added to your Visual Basic project by choosing Add
'   File from the Project menu.
'
'   Copyright 2007, ICS Electronics div Systems West, Inc.
 ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Option Explicit

Public BD%                  'board number
Public dev%                 'units GPIB address
Public addr%                'unit's GPIB adddress, combined value
Public Model%               'unit ID
Public bddev%               'current device handle
Public NL As String         'new line
Public Msg$                 'error message
Public RetMsg$
Public Notice As String     'configuration message
Public CmdStr$
Public UnTalk$
Public UnListen$
Public EventStatus$
Public Rdg$
Public NADDR%
Public LSTNDEV$
Public TALKDEV$
Public priaddr%          'unit's primary address
Public secaddr%         'unit's secondary address

Public Sub gpiberr(Msg$)
'=============================================================================
'                      Subroutine GPIBERR
'  This subroutine will notify you that a NI-488.2 subroutine failed by
'  printing an error message.  The status variable IBSTA% will also be
'  printed in hexadecimal along with the mnemonic meaning of the bit positions.
'  The status variable IBERR% will be printed in decimal along with the
'  mnemonic meaning of the decimal value.  The status variable IBCNTL& will
'  be printed in decimal.
'
'  The NI-488 function IBONL is called to disable the hardware and software.
'=============================================================================
 Dim EMsg$
  'Msg$ = Msg$ + NL + ", ibsta = &H" + Hex$(ibsta%) + " <" + NL
  Msg$ = Msg$ + ",  ibsta = &H" + Hex$(ibsta%) + " <"

   If ibsta% And EERR Then EMsg$ = EMsg$ + "ERR "
   If ibsta% And TIMO Then EMsg$ = EMsg$ + "TIMO "
   If ibsta% And EEND Then EMsg$ = EMsg$ + "END "
   If ibsta% And SRQI Then EMsg$ = EMsg$ + "SRQI "
   If ibsta% And RQS Then EMsg$ = EMsg$ + "RQS "
   If ibsta% And SPOLL Then EMsg$ = EMsg$ + "SPOLL "
   If ibsta% And eevent Then EMsg$ = EMsg$ + "EVENT "
   If ibsta% And CMPL Then EMsg$ = EMsg$ + "CMPL "
   If ibsta% And LOK Then EMsg$ = EMsg$ + "LOK "
   If ibsta% And RREM Then EMsg$ = EMsg$ + "REM "
   If ibsta% And CIC Then EMsg$ = EMsg$ + "CIC "
   If ibsta% And AATN Then EMsg$ = EMsg$ + "ATN "
   If ibsta% And TACS Then EMsg$ = EMsg$ + "TACS "
   If ibsta% And LACS Then EMsg$ = EMsg$ + "LACS "
   If ibsta% And DTAS Then EMsg$ = EMsg$ + "DTAS "
   If ibsta% And DCAS Then EMsg$ = EMsg$ + "DCAS "
   'Msg = Msg + "  " + EMsg$ + " >" + " iberr = " + Str$(iberr%) + NL
   Msg = Msg + "  " + EMsg$ + " >, iberr = " + Str$(iberr%)
   
   If iberr% = EDVR Then EMsg$ = " EDVR <Op System Error>"
   If iberr% = ECIC Then EMsg$ = " ECIC <Not CIC>"
   If iberr% = ENOL Then EMsg$ = " ENOL <No Listener>"
   If iberr% = EADR Then EMsg$ = " EADR <Address error>"
   If iberr% = EARG Then EMsg$ = " EARG <Invalid argument>"
   If iberr% = ESAC Then EMsg$ = " ESAC <Not Sys Ctrlr>"
   If iberr% = EABO Then EMsg$ = " EABO <Operation aborted>"
   If iberr% = ENEB Then EMsg$ = " ENEB <No GPIB board>"
   If iberr% = EOIP Then EMsg$ = " EOIP <Async I/O in prg>"
   If iberr% = ECAP Then EMsg$ = " ECAP <No capability>"
   If iberr% = EFSO Then EMsg$ = " EFSO <File sys. error>"
   If iberr% = EBUS Then EMsg$ = " EBUS <Command error>"
   If iberr% = ESTB Then EMsg$ = " ESTB <Status byte lost>"
   If iberr% = ESRQ Then EMsg$ = " ESRQ <SRQ stuck on>"
   If iberr% = ETAB Then EMsg$ = " ETAB <Table Overflow>"
  
   Msg$ = Msg$ + EMsg$ + ", ibcnt = " + Str$(ibcntl&)
   RetMsg$ = Msg$
'  Call the IBONL function to disable the hardware and software.
'  ibonl call removed 2/13/04
   'Call ibonl(0, 0)
   
End Sub

